Bug 124824 - Not so good conversion of sound modules handling on updates
Not so good conversion of sound modules handling on updates
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-30 16:32 EDT by Michal Jaegermann
Modified: 2014-03-16 22:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-28 14:31:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
working modules.conf from patched FC1 install (515 bytes, text/plain)
2004-06-11 12:30 EDT, Tom Dyll
no flags Details
50-udev.rules file from patched fc2 (973 bytes, text/plain)
2004-06-11 15:10 EDT, Tom Dyll
no flags Details

  None (edit)
Description Michal Jaegermann 2004-05-30 16:32:57 EDT
Description of problem:

An installation update, in this particular case from FC1 to FC2,
rewrites original /etc/modules.conf into /etc/modprobe.conf.
It gets things roughly correct but in case of sound modules
it produces something like this (really two long lines broken
by bugzilla editor):

install sound-slot-0 /sbin/modprobe --first-time --ignore-install
sound-slot-0 && { /bin/aumix-minimal -f /etc/.aumixrc -L >/dev/null
2>&1 || :; }
remove sound-slot-0 { /bin/aumix-minimal -f /etc/.aumixrc -S
>/dev/null 2>&1 || :; } ; /sbin/modprobe -r --first-time
--ignore-remove sound-slot-0

This only produces in /var/log/messages entries like that:

FATAL: Error running install command for sound_slot_0

and mixer settings are neither restored nor saved.

On install the problem is that aumix-minimal requires an OSS
device /dev/mixer and snd-mixer-oss module is not loaded yet
when we try to run that.  On remove it looks that modprobe
does not really like a command on 'sound-slot-0' as there is
no module with that name.

Attempts to reconfigure sound with a help of
system-config-soundcard, after all sound related lines were
removed from /etc/modprobe.conf, succeed in that sense that
a soundcard is found and a test sound plays but nothing new
shows up in /etc/modprobe.conf (quite likely another bug)
so sound is not activated on following bootups.

If 'aumix' is to be kept for storing and restoring mixer settings
then the following in /etc/modprobe.conf works:

install sound-slot-0 \
        /sbin/modprobe snd-card-0 ; \
        /sbin/modprobe snd-mixer-oss ; \
        /bin/aumix-minimal -f /etc/.aumixrc -L >/dev/null 2>&1 || :
remove snd-mixer-oss \
        /bin/aumix-minimal -f /etc/.aumixrc -S >/dev/null 2>&1 ; \
        /sbin/modprobe -r --ignore-remove snd-mixer-oss ;

Other possible option would be to treat such conversions as
a special case and replace uses of aumix-minimal with alsactl
which does not need to load snd-mixer-oss.  Old sound settings
are now "lost" anyway although maybe they can be rewritten into
an alsactl format too.

Version-Release number of selected component (if applicable):
anaconda-10.0-5
Comment 1 Tom Dyll 2004-06-11 12:28:10 EDT
Longtime reader. First time poster. hehe

Recently experienced same issue. Confirmed that sound was properly
configured on a base Fedora Core 1 install. Sound was lost in two
different methods. Running yum -y update broke sound and doing a fresh
install of Fedora Core 2 had the same results. Running yum -y update
against FC2 left it in a broken state. 

I added the recommended lines to my modules.conf in FC1 and corrected
the issue. Here is my file with an additional space between lines for
clarity. I have attempted to attach a copy as well.

alias eth0 8139too

alias usb-controller usb-uhci

install snd-mixer-oss /sbin/modprobe snd-card-0 ; /sbin/modprobe
snd-mixer-oss ; /bin/aumix-minimal -f /etc/.aumixrc -L >/dev/null 2>&1
|| :

remove snd-mixer-oss /bin/aumix-minimal -f /etc/.aumixrc -S >/dev/null
2>&1 ; /sbin/modprobe -r --ignore-remove snd-mixer-oss ;

alias sound-slot-0 emu10k1

post-install sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -L
>/dev/null 2>&1 || :

pre-remove sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -S
>/dev/null 2>&1 || :


 
Comment 2 Tom Dyll 2004-06-11 12:30:21 EDT
Created attachment 101065 [details]
working modules.conf from patched FC1 install
Comment 3 Tom Dyll 2004-06-11 15:08:39 EDT
Round 2

I loaded FC2 on a 2nd computer and sound worked until I ran yum -y
update for the first time. This time when I attempted to add the
following to either a modules.conf or modprobe.conf I had no improvement.

install snd-mixer-oss /sbin/modprobe snd-card-0 ; /sbin/modprobe
snd-mixer-oss ; /bin/aumix-minimal -f /etc/.aumixrc -L >/dev/null 2>&1
|| :

remove snd-mixer-oss /bin/aumix-minimal -f /etc/.aumixrc -S >/dev/null
2>&1 ; /sbin/modprobe -r --ignore-remove snd-mixer-oss ;

Adding the above lines to the modules.conf resulted in no change. When
added to the modprobe.conf it resulted in a spiked CPU and hung system.

The orginal lines in my modprobe.conf were:

alias snd-card-0 snd-via82xx

install snd-via82xx /sbin/modprobe --ignore-install snd-via82xx &&
/usr/sbin/alsactl restore >/dev/null 2>&1 || :

remove snd-via82xx { /usr/sbin/alsactl store >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-via82xx

When I deleted these lines and ran the gui Soundcard Detection tool I
see the following in /var/log/messages

Jun 11 14:51:00 fc2-hp modprobe: FATAL: Error running install command
for sound_slot_0
Jun 11 14:51:00 fc2-hp modprobe: FATAL: Error running install command
for sound_slot_0
Jun 11 14:51:00 fc2-hp udev[3251]: configured rule in
'/etc/udev/rules.d//50-udev.rules' at line 15 applied, 'controlC0'
becomes 'snd/%k'
Jun 11 14:51:00 fc2-hp udev[3251]: creating device node
'/udev/snd/controlC0'
Jun 11 14:51:00 fc2-hp modprobe: FATAL: Error running install command
for sound_slot_1
Jun 11 14:51:14 fc2-hp modprobe: FATAL: Error running install command
for sound_slot_0
Jun 11 14:51:14 fc2-hp modprobe: FATAL: Error running install command
for sound_slot_0
Jun 11 14:51:14 fc2-hp modprobe: FATAL: Error running install command
for sound_slot_1

I am attaching 50-udev.rules. I have never seen this file before and
don't know if it is a static config file or system generated.

Here is a quick look at lsmod

[root@fc2-hp etc]# lsmod
Module                  Size  Used by
snd_mixer_oss          13824  0
snd                    39396  1 snd_mixer_oss
soundcore               6112  1 snd
parport_pc             19392  1
lp                      8236  0
parport                29640  2 parport_pc,lp
autofs4                12932  0
rfcomm                 27292  0
l2cap                  16132  5 rfcomm
bluetooth              33508  4 rfcomm,l2cap
ds                     12292  2
yenta_socket           15232  0
pcmcia_core            47176  2 ds,yenta_socket
sunrpc                109924  1
8139too                17920  0
mii                     3584  1 8139too
ipt_REJECT              4736  1
ipt_state               1536  1
ip_conntrack           24968  1 ipt_state
iptable_filter          2176  1
ip_tables              13568  3 ipt_REJECT,ipt_state,iptable_filter
sg                     27680  0
scsi_mod               91984  1 sg
microcode               4768  0
dm_mod                 32800  0
uhci_hcd               24472  0
button                  4632  0
battery                 6924  0
asus_acpi               8984  0
ac                      3340  0
ipv6                  184544  10
ext3                  103528  2
jbd                    40600  1 ext3
Comment 4 Tom Dyll 2004-06-11 15:10:07 EDT
Created attachment 101068 [details]
50-udev.rules file from patched fc2
Comment 5 Tom Dyll 2004-06-12 16:51:07 EDT
Found intersting post @
http://www.fedoranews.org/colin/fnu/issue13.shtml under "Round-up of
some usual/common FC2 issues". It states "ALSA is known to start with
sound muted - you need to increase the sound level with alsamixer, and
if it doesn't save, Chris Kloiber points to using alsactl store.
Alternatively (?), go to Fedora -> Preferences -> Sound and enable
sound server startup." 

Changing the sound server startup option and increasing the default
volume levels with the volume control in the GUI fixed my issue on
both  PCs. 
Comment 6 Matthew Miller 2005-04-26 11:10:21 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 7 Bill Nottingham 2005-04-28 14:31:37 EDT
This should be fixed reasonably well in current rawhide kudzu.

Note You need to log in before you can comment on or make changes to this bug.